Bug 267965 - dns/knot3: Update to 3.2.3
Summary: dns/knot3: Update to 3.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://www.knot-dns.cz/2022-11-20-ve...
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-24 16:50 UTC by Christoph Lukas
Modified: 2022-11-28 16:57 UTC (History)
2 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
knot3 patch (817 bytes, patch)
2022-11-24 16:50 UTC, Christoph Lukas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Lukas 2022-11-24 16:50:10 UTC
Created attachment 238304 [details]
knot3 patch

This updates dns/knot3 to 3.2.3.
This version includes a fix of knsupdate which would segfault on server connect. (https://gitlab.nic.cz/knot/knot-dns/-/issues/822)
Tested with poudriere on amd64.
2022Q4 still has 3.2.1 which doesn't have this bug.
Comment 1 Fernando Apesteguía freebsd_committer 2022-11-25 06:56:47 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.
Comment 2 Christoph Lukas 2022-11-25 07:02:50 UTC
URL added
Comment 3 Fernando Apesteguía freebsd_committer 2022-11-28 16:57:29 UTC
Committed,

Thanks!
Comment 4 commit-hook freebsd_committer 2022-11-28 16:57:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f6cb7e8a3ace61db713b03391fb8266cf7a05004

commit f6cb7e8a3ace61db713b03391fb8266cf7a05004
Author:     Christoph Lukas <clukas@firc.de>
AuthorDate: 2022-11-25 06:52:19 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2022-11-28 16:52:52 +0000

    dns/knot3: Update to 3.2.3

    Improvements:

     * knotd: new per-zone DS push configuration option (see 'zone.ds-push')
     * libs: upgraded embedded libngtcp2 to 0.11.0

    Bugfixes:

     * knsupdate: program crashes when sending an update
     * knotd: server drops more responses over UDP under higher load
     * knotd: missing EDNS padding in responses over QUIC
     * knotd: some memory issues when handling unusual QUIC traffic
     * kxdpgun: broken IPv4 source subnet processing
     * kdig: incorrect handling of unsent data over QUIC

    PR:             267965
    Reported by:    clukas@firc.de
    Approved by:    freebsd@dns.company (maintainer)

 dns/knot3/Makefile | 2 +-
 dns/knot3/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)